PETSc version 3.15.5
Fix/Edit manual page

# PetscDrawString

PetscDraws text onto a drawable.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawString(PetscDraw draw,PetscReal xl,PetscReal yl,int cl,const char text[])

Not Collective

### Input Parameters

| draw | - the drawing context
| xl,yl | - the coordinates of lower left corner of text
| cl | - the color of the text
| text | - the text to draw

### See Also

PetscDrawStringVertical(), PetscDrawStringCentered(), PetscDrawStringBoxed(), PetscDrawStringSetSize(),
PetscDrawStringGetSize(), PetscDrawLine(), PetscDrawRectangle(), PetscDrawTriangle(), PetscDrawEllipse(), PetscDrawMarker(), PetscDrawPoint()

### Level

beginner

### Location

src/sys/classes/draw/interface/dtext.c

### Implementations

PetscDrawString_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawString_Null in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawString_TikZ in src/sys/classes/draw/impls/tikz/tikz.c
PetscDrawString_Win32 in src/sys/classes/draw/impls/win32/win32draw.c
PetscDrawString_X in src/sys/classes/draw/impls/x/xops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages